#include "cuda_runtime.h"
#include "device_launch_parameters.h"
#include <string>
#include <iostream>
#include <ctime>
#include <cfloat>
#include <cmath>
#include <stdio.h>
#include <tclap/CmdLine.h>

struct AdjEdge {
	int v, next;
	double weight;
};

struct Edge {
	int v;
	double weight;
};

void BC(int N, int M, int *nodes, Edge *edges, bool calNode, bool calEdge, 
		const char *bcpath = "BC.txt", const char *ebcpath = "EBC.txt", const int WARP_SIZE = 1);
